\version "2.24.1"

N = 104
\include "haydn.ly"
#(set-global-staff-size (if final 14 12)) % remove

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new FluteIandII \partCombine \I.Flute.1 \I.Flute.2
          \new Oboes <<
            \new OboeI      \with { \RemoveAllEmptyStaves } { \I.Oboe.1 }
            \new OboeII     \with { \RemoveAllEmptyStaves } { \I.Oboe.2 }
            \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
          >>
          \new ClarinetIandII \with { key=a } \partCombine \I.Clarinet.1 \I.Clarinet.2
          \new BassoonIandII                  \partCombine \I.Bassoon.1 \I.Bassoon.2
        >>
        \new StaffGroup <<
          \new HornIandII    \with { key=d  } \partCombine \I.Horn.1 \I.Horn.2
          \new TrumpetIandII \with { key=d' } \partCombine \I.Trumpet.1 \I.Trumpet.2
        >>
        \new Timpani \with { tuning=<d a,> } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \score {
      \layout { \breaklayout II
        \context { \StaffGroup \RemoveEmptyStaves } \context { \Timpani \RemoveEmptyStaves } % remove
      }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new FluteIandII \partCombine \II.Flute.1 \II.Flute.2
          \new Oboes <<
            \new OboeI      \with { \RemoveAllEmptyStaves } { \II.Oboe.1 }
            \new OboeII     \with { \RemoveAllEmptyStaves } { \II.Oboe.2 }
            \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
          >>
          \new ClarinetIandII \with { key=a } \partCombine \II.Clarinet.1 \II.Clarinet.2
          \new BassoonIandII \partCombine \II.Bassoon.1 \II.Bassoon.2
        >>
        \new StaffGroup <<
          \new HornIandII    \with { key=d  } \partCombine \II.Horn.1 \II.Horn.2
          \new TrumpetIandII \with { key=d' } \partCombine \II.Trumpet.1 \II.Trumpet.2
        >>
        \new Timpani \with { tuning=<d a,> } { \II.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper {}
    \score {
      \layout { \breaklayout IIIa }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup <<
          \new FluteIandII \partCombine \IIIa.Flute.1 \IIIa.Flute.2
          \new OboeIandII  \partCombine \IIIa.Oboe.1  \IIIa.Oboe.2
          \new ClarinetIandII \with { key=a } \partCombine \IIIa.Clarinet.1 \IIIa.Clarinet.2
          \new BassoonIandII \partCombine \IIIa.Bassoon.1 \IIIa.Bassoon.2
        >>
        \new StaffGroup <<
          \new HornIandII    \with { key=d  } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
          \new TrumpetIandII \with { key=d' } \partCombine \IIIa.Trumpet.1 \IIIa.Trumpet.2
        >>
        \new Timpani \with { tuning=<d a,> } { \IIIa.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CB { \IIIa.Cello }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt3 \pageBreak
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup <<
          \new Flute { \IIIb.Flute.1 }
          \new Oboes <<
            \new OboeI      \with { \RemoveAllEmptyStaves } { \IIIb.Oboe.1 }
            \new OboeII     \with { \RemoveAllEmptyStaves } { \IIIb.Oboe.2 }
            \new OboeIandII \partCombine \IIIb.Oboe.1 \IIIb.Oboe.2
          >>
          \new BassoonIandII \partCombine \IIIb.Bassoon.1 \IIIb.Bassoon.2
        >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola { \IIIb.Viola }
          \new CB { \IIIb.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new FluteIandII \partCombine \IV.Flute.1 \IV.Flute.2
          \new Oboes <<
            \new OboeI      \with { \RemoveAllEmptyStaves } { \IV.Oboe.1 }
            \new OboeII     \with { \RemoveAllEmptyStaves } { \IV.Oboe.2 }
            \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
          >>
          \new ClarinetIandII \with { key=a } \partCombine \IV.Clarinet.1 \IV.Clarinet.2
          \new BassoonIandII \partCombine \IV.Bassoon.1 \IV.Bassoon.2
        >>
        \new StaffGroup <<
          \new HornIandII    \with { key=d  } \partCombine \IV.Horn.1 \IV.Horn.2
          \new TrumpetIandII \with { key=d' } \partCombine \IV.Trumpet.1 \IV.Trumpet.2
        >>
        \new Timpani \with { tuning=<d a,> } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new StaffGroup \with { \consists "Keep_alive_together_engraver"
                                  systemStartDelimiter = #'SystemStartBrace
                                  \override SystemStartBrace.collapse-height = 5 } <<
            \new Cello \with { \RemoveAllEmptyStaves } { \IV.Cello }
            \new Bass  \with { \RemoveAllEmptyStaves } { \IV.Bass  }
            \new CB    \partCombine \IV.Cello \transpose c c' \IV.Bass
          >>
        >>
      >>
    }
  }
}
